#
# spec file for package libXxf86dga
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libXxf86dga
%define lname	libXxf86dga1
Version:        1.1.6
Release:        1.5
Summary:        XFree86-DGA extension client library
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXxf86dga
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXxf86dga/
Source:         http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86dgaproto) >= 2.0.99.2
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto)

%description
libXxf86dga provides the XFree86-DGA extension, which allows direct
graphics access to a framebuffer-like region, and also allows
relative mouse reporting, et al. It is mainly used by games and
emulators for games.

%package -n %lname
Summary:        XFree86-DGA extension client library
Group:          System/Libraries

%description -n %lname
libXxf86dga provides the XFree86-DGA extension, which allows direct
graphics access to a framebuffer-like region, and also allows
relative mouse reporting, et al. It is mainly used by games and
emulators for games.

%package devel
Summary:        Development files for the XFree86-DGA extension library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libXxf86dga provides the XFree86-DGA extension, which allows direct
graphics access to a framebuffer-like region, and also allows
relative mouse reporting, et al. It is mainly used by games and
emulators for games.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libXxf86dga.so.1*

%files devel
%defattr(-,root,root)
%_includedir/X11/*
%_libdir/libXxf86dga.so
%_libdir/pkgconfig/xxf86dga.pc
%_mandir/man3/*

%changelog
* Mon Dec  5 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.6
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * unifdef __UNIXOS2__
  * Remove SunOS 4 support (defined(sun) && (SVR4))
  * unifdef ISC
  * unifdef Lynx
  * unifdef DGUX
* Fri Mar 22 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.5
  * This release raises the minimum required libX11 version to
    1.6.0 from 2013.
* Sat Jun  1 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.1.4:
  This release provides the fixes for the recently announced security issues
  CVE-2013-1991 & CVE-2013-2000, along with a couple build fixes.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
- Avoid calling fdupes outside of /usr
* Wed Apr 11 2012 vuntz@opensuse.org
- Update to version 1.1.3:
  + Fix capitalization of ViewportStep in man page to match
    xf86dgaproto headers
  + Janitorial cleanups
  + Build configuration improvements
* Tue Feb  7 2012 jengelh@medozas.de
- Split xorg-x11-libs into separate packages
